We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8837 - Submission notification email may mix signatures
Submission notification email may mix signatures
Status: RESOLVED FIXED
Product: OMP
Classification: Unclassified
Component: General
1.1.1
All All
: P3 normal
Assigned To: Jason Nugent
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-02 17:26 PDT by Alec Smecher
Modified: 2014-10-23 12:05 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jason Nugent 2014-07-31 06:47:56 PDT
I'm not sure there's a bug here.  Both emails that are sent out (SUBMISSION_ACK and SUBMISSION_ACK_NOT_USER), have a template variable for editorialContactSignature which is built from:

$context->getSetting('contactName') . "\n" . $context->getLocalizedName()

and not the user that submitted the manuscript or the authors for the manuscript.  

If we keep these, then maybe the solution is to adjust the wording in the email template to make it a bit clearer. 

The text before the signature, in both cases, is:

"If you have any questions, please contact me. Thank you for considering this press as a venue for your work." 

{$editoralContactSignature}

The bug in the forum may be a case of the author of the manuscript potentially also being an editor?
Comment 2 Alec Smecher 2014-08-18 16:25:29 PDT
Jason, try following up in the forum to see if that's the case.
Comment 3 Jason Nugent 2014-08-27 06:40:28 PDT
Hi Judy,

I've followed up in the forum, but wanted to post here in case you have not seen the reply there.  Can you try my suggestion, please?

Cheers
Jason
Comment 4 Alec Smecher 2014-10-15 13:20:20 PDT
Closing; no feedback.
Comment 5 Alec Smecher 2014-10-23 11:20:03 PDT
Pull request opened (not merged):
disable signatures for general notifications, actually use includ...
https://github.com/pkp/pkp-lib/pull/200
Comment 6 Alec Smecher 2014-10-23 11:22:02 PDT
Pull request opened (not merged):
create submission mail templates without user signatures included
https://github.com/pkp/omp/pull/59
Comment 7 Jason Nugent 2014-10-23 11:23:03 PDT
Over to you for quick review, Alec. I will port to 1.1.1
Comment 8 Alec Smecher 2014-10-23 11:48:09 PDT
Thanks, Jason, looks good. Needle in a haystack.
Comment 9 Jason Nugent 2014-10-23 12:01:03 PDT
create submission mail templates without user signatures included
https://github.com/pkp/omp/commit/72f758844f70038eebcfce4716bc725fe8015b4e
Comment 10 Alec Smecher 2014-10-23 12:01:03 PDT
Pull request closed (merged):
create submission mail templates without user signatures included
https://github.com/pkp/omp/pull/59
Comment 11 Jason Nugent 2014-10-23 12:01:03 PDT
submodule commit ##jnugent/8837-fix##
https://github.com/pkp/omp/commit/bb983ce50096344c2a6e9e7d5c47d35e35563848
Comment 12 Alec Smecher 2014-10-23 12:02:02 PDT
Pull request closed (merged):
disable signatures for general notifications, actually use includ...
https://github.com/pkp/pkp-lib/pull/200
Comment 13 Jason Nugent 2014-10-23 12:02:02 PDT
disable signatures for general notifications, actually use includeSignature param
https://github.com/pkp/pkp-lib/commit/8b1f8c2ef6e4be1f3e92815b87dcd695d7f99155
Comment 14 Jason Nugent 2014-10-23 12:04:03 PDT
disable signatures for general notifications, actually use includeSignature param
https://github.com/pkp/pkp-lib/commit/3b2f9d8f9687fcc8eb99db901f05861fc804d530
Comment 15 Jason Nugent 2014-10-23 12:05:02 PDT
create submission mail templates without user signatures included
https://github.com/pkp/omp/commit/f0c873abe4e7f36d0cfc39871a2d32be5bedb382